Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.query
Interface KodoQuery

All Superinterfaces:
  Query, Serializable

All Known Subinterfaces:
  KodoQuerySPI

public interface KodoQuery
extends Query

Extension of the `Query` interface that adds some Kodo-specific methods.

Since:
  3.0

Field Summary
`static int` | `FLUSH_FALSE` Deprecated. Use `FetchConfiguration.QUERY_FLUSH_FALSE`
`static int` | `FLUSH_TRUE` Deprecated. Use `FetchConfiguration.QUERY_FLUSH_TRUE`
`static int` | `FLUSH_WITH_CONNECTION` Deprecated. Use `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`

Method Summary
`Collection` | `getAggregateListeners()` Return the aggregate listeners for the query, or empty collection if none.
`Class` | `getCandidateClass()` Return the class of the objects that this query will return, or `null` if this information is not available / not relevant.
`Collection` | `getCandidateCollection()` Return the candidate collection, or `null` if an extent was specified instead of a collection.
`KodoExtent` | `getCandidateExtent()` Return the candidate extent, or `null` if a collection was specified instead of an extent.
`String[]` | `getDataStoreActions(Map params)` Returns a description of the commands that will be sent to the datastore in order to execute this query.
`FetchConfiguration` | `getFetchConfiguration()` Return the (mutable) fetch configuration for this query.
`String` | `getFilter()` Return the filter that this query has been configured with.
`Collection` | `getFilterListeners()` Return the filter listeners for the query, or empty collection if none.
`String` | `getImports()` Return the import declaration.
`String` | `getLanguage()` Return the language of this query.
`String` | `getOrdering()` Return the ordering expression that this query was configured with.
`String` | `getParameters()` Return the declared parameters.
`String` | `getResult()` Return the result expression set for this query.
`Class` | `getResultClass()` Returns the result class that has been set through `setResultClass(java.lang.Class)`, or null if none.
`Boolean` | `getUnique()` The unique flag, or null if it hasn't been set.
`String` | `getVariables()` Return the declared variables.
`boolean` | `hasSubclasses()` Whether query results will include subclasses of the candidate class.
`void` | `registerListener(AggregateListener listener)` Register a filter listener for the query.
`void` | `registerListener(FilterListener listener)` Register a filter listener for the query.
`void` | `setResult(String data)` JDO 2.0 Preview.
`void` | `setResultClass(Class cls)` JDO 2.0 Preview.
`void` | `setUnique(boolean unique)` JDO 2.0 Preview.

Methods inherited from interface javax.jdo.Query
`close, closeAll, compile, declareImports, declareParameters, declareVariables, execute, execute, execute, execute, executeWithArray, executeWithMap, getIgnoreCache, getPersistenceManager, setCandidates, setCandidates, setClass, setFilter, setIgnoreCache, setOrdering`

Field Detail

### FLUSH_TRUE

    public static final int FLUSH_TRUE

  Deprecated. Use `FetchConfiguration.QUERY_FLUSH_TRUE`

### FLUSH_FALSE

    public static final int FLUSH_FALSE

  Deprecated. Use `FetchConfiguration.QUERY_FLUSH_FALSE`

### FLUSH_WITH_CONNECTION

    public static final int FLUSH_WITH_CONNECTION

  Deprecated. Use `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`

Method Detail

### getLanguage

    public String getLanguage()

  Return the language of this query.
  Since:
    3.1

### getFetchConfiguration

    public FetchConfiguration getFetchConfiguration()

  Return the (mutable) fetch configuration for this query.

### getFilterListeners

    public Collection getFilterListeners()

  Return the filter listeners for the query, or empty collection if none.

### registerListener

    public void registerListener(FilterListener listener)

  Register a filter listener for the query.

### getAggregateListeners

    public Collection getAggregateListeners()

  Return the aggregate listeners for the query, or empty collection if none.

### registerListener

    public void registerListener(AggregateListener listener)

  Register a filter listener for the query.

### getCandidateExtent

    public KodoExtent getCandidateExtent()

  Return the candidate extent, or `null` if a collection was specified instead of an extent.

### getCandidateCollection

    public Collection getCandidateCollection()

  Return the candidate collection, or `null` if an extent was specified instead of a collection.

### getCandidateClass

    public Class getCandidateClass()

  Return the class of the objects that this query will return, or `null` if this information is not available / not relevant.

### hasSubclasses

    public boolean hasSubclasses()

  Whether query results will include subclasses of the candidate class.

### getFilter

    public String getFilter()

  Return the filter that this query has been configured with.

### getOrdering

    public String getOrdering()

  Return the ordering expression that this query was configured with.

### getImports

    public String getImports()

  Return the import declaration.

### getParameters

    public String getParameters()

  Return the declared parameters.

### getVariables

    public String getVariables()

  Return the declared variables.

### setUnique

    public void setUnique(boolean unique)

  JDO 2.0 Preview. Specify that only the first result of the query should be returned, rather than a collection. The execute method will return null if the query result size is 0.
  Since:
    3.0

### getUnique

    public Boolean getUnique()

  The unique flag, or null if it hasn't been set.

### setResult

    public void setResult(String data)

  JDO 2.0 Preview. Configures what type of data this query should return. If this is unset or set to `null`, this query will return a list of the query's candidate class. Otherwise, this query will return aggregate function results and / or individual field values (projections).
  Parameters:
    `data` - a comma-delimited list of fields, functions on fields, or aggregate functions to return from this query
  Since:
    3.0

### getResult

    public String getResult()

  Return the result expression set for this query.

### setResultClass

    public void setResultClass(Class cls)

  JDO 2.0 Preview. Specify the type of object in which the result of invoking `Query.execute()` or one of its siblings. The behavior of this method depends the nature of the query being executed. In particular, if used in conjunction with `setResult(java.lang.String)`, the argument to this method should be `Object[].class`, a class with bean-like setters for each of the items listed in the result specification, or a class with a method called `put` with two `Object` arguments.

### getResultClass

    public Class getResultClass()

  Returns the result class that has been set through `setResultClass(java.lang.Class)`, or null if none.

### getDataStoreActions

    public String[] getDataStoreActions(Map params)

  Returns a description of the commands that will be sent to the datastore in order to execute this query. This will typically be in the native query language of the database (e.g., SQL).
  Parameters:
    `params` - the named parameter map for the query invocation
  Since:
    3.1

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.